import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CostManagementComponent } from './cost-management.component';
import { RouterModule } from '@angular/router';
import { BreadcrumbModule } from 'src/app/_layout/breadcrumb/breadcrumb.module';
import { NgxDatatableModule } from '@swimlane/ngx-datatable';
import { BlockUIModule } from 'ng-block-ui';
import { BlockTemplateComponent } from 'src/app/_layout/blockui/block-template.component';
import { CardModule } from '../../partials/general/card/card.module';



@NgModule({
  declarations: [
    CostManagementComponent
  ],
  imports: [
    CommonModule,
    CardModule,
    BreadcrumbModule,
    NgxDatatableModule,
    BlockUIModule.forRoot({
      template: BlockTemplateComponent
    }),
    RouterModule.forChild([
      {
        path: '',
        component: CostManagementComponent
      }
    ])
  ]
})
export class CostManagementModule { }
